Subject: bug#58606: Emacs next pgtk crashes when pasting to other app

From: Joshua Branson <[email-masked]>
Date: Thu, 01 Dec 2022 11:56:49 -0500

Andrew Tropin <[email-masked]> writes:

> On 2022-11-16 10:34, Joshua Branson wrote:
>
>> Declan Tsien <[email-masked]> writes:
>>
>>> Andrew Tropin <[email-masked]> writes:
>>>
>>>> Recently discovered a problem, which reproduces this way:
>>>> - Open a new emacs instance.
>>>> - Yank anything with M-w or select with mouse.
>>>> - Paste yanked text to chromium/icecat.
>>>>
>>>> Both browser and emacs are hanging up for a while and after that Emacs
>>>> crashes with:
>>>
>>
>> I just discovered today, that I can copy text from emacs and paste that
>> text into firefox.  It seems to no longer be an issue for me.  :)
>
> I built a latest emacs from master:
> https://git.sr.ht/~abcdw/rde/commit/b03373920c1cc7d8d4b2d64c96f72eed9bb3651a
>
> And it is affected by this issue, so I made a quick and dirty workaround:
> https://git.sr.ht/~abcdw/rde/commit/b6aef2d8b34d1166f33629b4b3a1a0f5751f90f9
>
> Unfortunately, I don't see an easy way to backport this fix to Guix.
>
> Probably, this issues should be reported to bug-gnu-emacs.
>

I will let one of you do the reporting, since this issue no longer
affects me.  :)